/*
 * Copyright (C) 2003-2004 Christian Siefkes &lt;christian@siefkes.net&gt;.
 * Development of this software is supported by the German Research Society,
 * Berlin-Brandenburg Graduate School in Distributed Information Systems
 * (DFG grant no. GRK 316).
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, visit
 * http://www.gnu.org/licenses/lgpl.html or write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */
package de.fu_berlin.ties;

/**
 * Exception thrown when an error occurs during processing.
 *
 * @author Christian Siefkes
 * @version $Revision: 1.1 $, $Date: 2004/02/02 18:35:57 $, $Author: siefkes $
 */
public class ProcessingException extends Exception {

    /**
     * Constructs a new exception with the specified detail message.
     *
     * @param message the detail message
     */
    public ProcessingException(final String message) {
        super(message);
    }

    /**
     * Constructs a new exception with the specified <code>cause</code>. The
     * detail message is set to <code>(cause==null ? null :
     * cause.toString())</code> (which typically contains the class and detail
     * message of <code>cause</code>). This constructor is useful for exceptions
     * that are little more than wrappers for other throwables.
     *
     * @param cause the cause (which is saved for later retrieval by the
     * {@link Throwable#getCause()} method)
     */
    public ProcessingException(final Throwable cause) {
        super(cause);
    }

    /**
     * Constructs a new exception with the specified detail message and cause.
     * Note that the detail message associated with <code>cause</code> is
     * <em>not</em> automatically incorporated in this exception's detail
     * message.
     *
     * @param message the detail message
     * @param cause the cause (which is saved for later retrieval by the
     * {@link Throwable#getCause()} method)
     */
    public ProcessingException(final String message, final Throwable cause) {
        super(message, cause);
    }

}
