/*
 * Copyright (C) 2004 Christian Siefkes &lt;christian@siefkes.net&gt;.
 * Development of this software is supported by the German Research Society,
 * Berlin-Brandenburg Graduate School in Distributed Information Systems
 * (DFG grant no. GRK 316).
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, visit
 * http://www.gnu.org/licenses/lgpl.html or write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */
package de.fu_berlin.ties.extract.amend;

import de.fu_berlin.ties.extract.ExtractionContainer;

/**
 * Implemtations of this interface signal that they are able reanalyse the
 * all extractions in a document and perform suitable amendments to improve
 * results.
 *
 * @author Christian Siefkes
 * @version $Revision: 1.1 $, $Date: 2004/11/04 16:38:33 $, $Author: siefkes $
 */
public interface FinalReextractor {

    /**
     * Re-extract all extractions in a document at the end of the document,
     * considering the complete states of all tokens.
     *
     * @return the predicted etractions
     */
    ExtractionContainer reextract();

}
